<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Exists Method (DatabaseEntry)
BaseDatabase Class See Also

Check whether key appears in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool Exists(
    	DatabaseEntry key
    )

Visual Basic (Declaration)

    Public Function Exists ( _
    	key As DatabaseEntry _
    ) As Boolean

Visual C++

    public:
    bool Exists(
    	DatabaseEntry^ key
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to search for.

#### Return Value

True if key appears in the database, false otherwise.

# Remarks

If the operation occurs in a transactional database, the operation will be implicitly transaction protected.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if key is not in the database.
BerkeleyDB..::.KeyEmptyException | A KeyEmptyException is thrown if the database is a QueueDatabase or RecnoDatabase database and key exists, but was never explicitly created by the application or was later deleted.

# See Also

BaseDatabase Class
Exists Overload
BerkeleyDB Namespace